gss_add_oid_set_member(3)

NAME
gss_add_oid_set_member - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_add_oid_set_member(OM_uint32 * minor_status, const gss_OID member_oid, gss_OID_set * oid_set);

ARGUMENTS

OM_uint32 * minor_status
    (integer, modify) Mechanism specific status code.

const gss_OID member_oid
    (Object ID, read) The object identifier to copied into
      the set.

gss_OID_set * oid_set
    (Set of Object ID, modify) The set in which the object
      identifier should be inserted.

DESCRIPTION
Add an Object Identifier to an Object Identifier set. This routine is intended for use in conjunction with gss_create_empty_oid_set when constructing a set of mechanism OIDs for input to gss_acquire_cred. The oid_set parameter must refer to an OID-set that was created by GSS-API (e.g. a set returned by gss_create_empty_oid_set()). GSS-API creates a copy of the member_oid and inserts this copy into the set, expanding the storage allocated to the OID-set's elements array if necessary. The routine may add the new member OID anywhere within the elements array, and implementations should verify that the new member_oid is not already contained within the elements array; if the member_oid is already present, the oid_set should remain unchanged.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.